import numpy as np
import rmsd
import sys
# Setting reference 
with open('xyz.dat_lite','r') as f:
    natom = int(f.readline())
    exec('f.readline()')
    atype = []
    ref = []
    for i in range(natom):
        line = f.readline().split()
        atype.append(line[0])
        ref.append(line[1:4])
    ref = np.array(ref).astype('float')-np.mean(np.array(ref).astype('float'), axis=0)
# Aligning
with open(sys.argv[1],'r') as f:
    mol=np.array([])
    # data = np.array([]).reshape(-1,3*natom).astype('float')
    with open('x_a.dat','w') as ff:
        f.seek(0)
        mol=np.array([])
        matrices=np.array([]).reshape(-1,3,3)
        for i, line in enumerate(f):
            if i%(natom+2) > 1:
                mol = np.append(mol, np.array(line.split()[1:4]).astype('float'))
            if len(mol) == natom*3:
                mol = mol.reshape(-1,3)-np.mean(mol.reshape(-1,3), axis=0)
                np.savetxt(ff, np.reshape(rmsd.kabsch_rotate(mol, ref),(1,-1)))
                matrices = np.append(matrices,rmsd.kabsch(ref, mol).reshape(-1,3,3),axis=0)
                mol=np.array([])
        np.save('matrices.npy', matrices)   # save rotation matrices